import { IsString } from "./charTypeUtil";

/**
 * 首字母大写
 * @param str 
 * @returns 
 */
function Capitalize(str: string) {
  if (!IsString(str)) {
    return str;
  }
  return str.charAt(0).toUpperCase() + str.slice(1);
};

/**
 * 小数转化为百分数
 * @param point
 * @returns
 */
function ToPercent(point: string | number) {
  let str = Number(Number(point) * 100).toFixed(2);
  str += "%";
  return str;
}

export {
  Capitalize,
  ToPercent
}